/**********************************************************************/
/*                                                                    */
/*  Dc_Name.h :  Header pour la bibliothque de gestion des Noms.     */
/*                                                                    */
/**********************************************************************/
/*  Auteur : Olivier ZARDINI  *  Brutal Deluxe Software  *  Mai 2024  */
/**********************************************************************/

#define TYPE_SYSTEM_CALL_P8       1
#define TYPE_SYSTEM_CALL_P16      2
#define TYPE_SYSTEM_CALL_GSOS     3
#define TYPE_SYSTEM_CALL_TOOLBOX  4

struct system_call
{
  int type;                /* TYPE_SYSTEM_CALL_XXX */
  char *name;
  WORD call_number;

  char text[256];
};

void GetNameFromAddress(DWORD,WORD,char *,char *,char *);
struct system_call **BuildSystemCallTable(int *);
void mem_free_systemcall_table(int,struct system_call **);
void mem_free_systemcall(struct system_call *);

/**********************************************************************/
