/*********************************************************************/
/*                                                                   */
/*  Window_Attach.h :  Header de gestion de la fentre Attach.       */
/*                                                                   */
/*********************************************************************/
/*  Auteur : Olivier ZARDINI  *  Brutal Deluxe  *  Date : Juin 2023  */
/*********************************************************************/

struct application
{
  HWND hwnd_application;
  WINDOWINFO window_info;
  
  char *title;
  char *exe_path;

  DWORD pid;
  
  struct application *next;
};


struct window_attach
{
  HWND hwnd_attach;

  /* Liste des applications */
  int nb_application;
  struct application *first_application;
  struct application *last_application;
  struct application **tab_application;

  /* Dimension de la fentre = Title + Zone Texte */
  int title_height;
  int window_width;
  int window_height;
  
  /* Buffer */
  char buffer_log[BUFFER_SIZE];
};

struct window_attach *BuildAttachWindow(HINSTANCE,int);
void mem_free_window_attach(struct window_attach *);

/********************************************************/
