/**********************************************************************/
/*                                                                    */
/*   Window_About.h :  Header de gestion de la fentre About.         */
/*                                                                    */
/**********************************************************************/
/*  Auteur : Olivier ZARDINI  *  Brutal Deluxe  *  Date : Avril 2018  */
/**********************************************************************/

struct window_about
{
  HWND hwnd_about;
  
  /** Graphical element attributes **/
  HDC hDC;
  HDC hCompatibleDC;
  HBITMAP hBitmap_about;         /* Bitmap affichant le logo Brutal Deluxe */
  DWORD *bitmap_data_about;  
  struct picture_true *brutal_deluxe_picture;

  /* Taille de la Bitmap */
  int bitmap_about_width;
  int bitmap_about_height;
  
  /* Position de la Bitmap */
  int bitmap_about_x;
  int bitmap_about_y;
  
  /* Log du Process */
  char buffer_log[1024];
};

struct window_about *BuildAboutWindow(HINSTANCE,int);
void mem_free_window_about(struct window_about *);

/**********************************************************************/
