/**************************************************************************/
/*                                                                        */
/*  Window_ProgressBar.h :  Header de gestion de la fentre ProgressBar.  */
/*                                                                        */
/**************************************************************************/
/*  Auteur : Olivier ZARDINI   *    Brutal Deluxe    *   Date : Sep 2024  */
/**************************************************************************/

#define HM_PROGRESSBAR_BUTTON_CANCEL     (WM_USER + 50)
#define HM_PROGRESSBAR_UPDATE_PROMPT     (WM_USER + 51)
#define HM_PROGRESSBAR_BUTTON_INCREMENT  (WM_USER + 52)

struct window_progressbar
{
  HWND hwnd_progressbar;
    
  char title[1024];
  char prompt[1024];
  int max_value;
};

int ProgressBarWindow(HWND,char *,char *,int);
void mem_free_window_progressbar(struct window_progressbar *);

/**************************************************************************/
